AccessibleTextSequence (Java Platform SE 8 )
Keywords: javax.accessibility.AccessibleTextSequence class
Date: 2026-04-17

javax.accessibility

## Class AccessibleTextSequence

- java.lang.Object
- - javax.accessibility.AccessibleTextSequence

-     public class AccessibleTextSequence
      extends Object

  This class collects together key details of a span of text. It is used by implementors of the class `AccessibleExtendedText` in order to return the requested triplet of a `String`, and the start and end indicies/offsets into a larger body of text that the `String` comes from.
  See Also:
    `AccessibleExtendedText`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `endIndex` The end index of the text sequence
    `int` | `startIndex` The start index of the text sequence
    `String` | `text` The text

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleTextSequence(int start, int end, String txt)` Constructs an `AccessibleTextSequence` with the given parameters.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startIndex

          public int startIndex

      The start index of the text sequence

    - #### endIndex

          public int endIndex

      The end index of the text sequence

    - #### text

          public String text

      The text

  - ### Constructor Detail

    - #### AccessibleTextSequence

          public AccessibleTextSequence(int start,
                                        int end,
                                        String txt)

      Constructs an `AccessibleTextSequence` with the given parameters.
      Parameters:
        `start` - the beginning index of the span of text
        `end` - the ending index of the span of text
        `txt` - the `String` shared by this text span
      Since:
        1.6

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.